#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    if(!initVBScripts())
    {
        QMessageBox::critical(this, "Error", "Script not loaded!");
        return;
    }
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_hello_btn_pressed()
{
    main_scrpt->call("ShowMyMsgVb(QString)", ui->msg_edit->text());
}

bool MainWindow::initVBScripts()
{
    scrpt_mgr = new QAxScriptManager(this);
    main_scrpt = scrpt_mgr->load(":/VBScript.vbs", "MyScript");
    if(!main_scrpt)
    {
        return false;
    }
    return true;
}
